import { DeepPartial, OneOrMany, Nullable } from 'boost-web-core';
import { FormValidationResult, ValidationResult, ValidateFunc, CustomFieldRenderer, FormFieldType, FieldConfig, FormConfig, FormValidateFunc } from "./Models";
export declare function addCustomFieldRenderer(renderer: CustomFieldRenderer): string;
export declare function findCustomRenderer(forType: string): Nullable<CustomFieldRenderer>;
export declare function createFormConfig(forObject: any, _config?: DeepPartial<FormConfig>): FormConfig;
export declare function createFieldConfig(fieldId: string, fieldValue: any, fieldConfig?: DeepPartial<FieldConfig>, formConfig?: DeepPartial<FormConfig>): FieldConfig;
export declare function getDefaultFieldConfig(fieldId: string, type: FormFieldType, formConfig?: DeepPartial<FormConfig>): FieldConfig;
export declare function guessType(fieldId: string, fieldValue: any): FormFieldType;
export declare function guessConfig(val: any, fieldType: FormFieldType, fieldConfig?: DeepPartial<FieldConfig>): Partial<FieldConfig>;
export declare function validateForm(forObject: any, _formConfig?: FormConfig): FormValidationResult;
export declare function validateFormAsync(forObject: any, _formConfig?: FormConfig): Promise<FormValidationResult>;
export declare function runFormValidator(validator: OneOrMany<FormValidateFunc>, form: any): FormValidationResult | Promise<FormValidationResult>;
export declare function runValidator(validator: ValidateFunc | ValidateFunc[], value: any): ValidationResult | Promise<ValidationResult>;
export declare function getFieldConfigs(form: FormConfig): FieldConfig[];
export declare function getFieldHtmlAttrs(field: FieldConfig): any;
export declare function getFormHtmlAttrs(form: FormConfig): any;
